Lucee 5 felix osgi version

I was just looking at lucee 5 in maven
http://mvnrepository.com/artifact/org.lucee/lucee/5.0.0.65-BETA and
noticed that the version of felix being used is 4.2.1 which is 7 releases
and two years behind the current release (5.2.0)

Is there a reason behind moving to osgi in lucee 5 but using an old version
of felix?

Chris